com.io7m.smfj.core

## Class SMFSupportedSizes

- java.lang.Object
- - com.io7m.smfj.core.SMFSupportedSizes

-     public final class SMFSupportedSizes
      extends Object

  The supported sizes in bits of each type.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `checkFloatSupported(int bits)` Check if a floating point type with the given size is supported.
    `static int` | `checkIntegerSignedSupported(int bits)` Check if a signed integer type with the given size is supported.
    `static int` | `checkIntegerUnsignedSupported(int bits)` Check if an unsigned integer type with the given size is supported.
    `static boolean` | `isFloatSupported(int bits)`
    `static boolean` | `isIntegerSignedSupported(int bits)`
    `static boolean` | `isIntegerUnsignedSupported(int bits)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isIntegerUnsignedSupported

          public static boolean isIntegerUnsignedSupported(int bits)

      Parameters:
        `bits` - The size in bits
      Returns:
        `true` if an unsigned integer type with the given size is supported

    - #### checkIntegerUnsignedSupported

          public static int checkIntegerUnsignedSupported(int bits)
                                                   throws UnsupportedOperationException

      Check if an unsigned integer type with the given size is supported.
      Parameters:
        `bits` - The size in bits
      Returns:
        `bits`
      Throws:
        `UnsupportedOperationException` - If the size is not supported

    - #### isIntegerSignedSupported

          public static boolean isIntegerSignedSupported(int bits)

      Parameters:
        `bits` - The size in bits
      Returns:
        `true` if a signed integer type with the given size is supported

    - #### checkIntegerSignedSupported

          public static int checkIntegerSignedSupported(int bits)
                                                 throws UnsupportedOperationException

      Check if a signed integer type with the given size is supported.
      Parameters:
        `bits` - The size in bits
      Returns:
        `bits`
      Throws:
        `UnsupportedOperationException` - If the size is not supported

    - #### isFloatSupported

          public static boolean isFloatSupported(int bits)

      Parameters:
        `bits` - The size in bits
      Returns:
        `true` if a floating point type with the given size is supported

    - #### checkFloatSupported

          public static int checkFloatSupported(int bits)
                                         throws UnsupportedOperationException

      Check if a floating point type with the given size is supported.
      Parameters:
        `bits` - The size in bits
      Returns:
        `bits`
      Throws:
        `UnsupportedOperationException` - If the size is not supported

Copyright © 2017 <code@io7m.com> http://io7m.com